Subject: Re: [PATCH net-next 0/2] Removal of struct esp_data

From: Steffen Klassert <[email-masked]>
Date: Wed, 23 Oct 2013 10:07:16 +0200

On Tue, Oct 22, 2013 at 02:05:10PM -0400, David Miller wrote:
> From: Steffen Klassert <[email-masked]>
> Date: Tue, 22 Oct 2013 15:08:22 +0200
> 
> > On Fri, Oct 18, 2013 at 01:55:36PM -0400, David Miller wrote:
> >> From: Mathias Krause <[email-masked]>
> >> Date: Fri, 18 Oct 2013 12:09:03 +0200
> >> 
> >> > This series removes one level of indirection when accessing the aead
> >> > crypto algorithm in ESP transforms by simply removing struct esp_data.
> >> > This results in smaller code and less memory usage per xfrm state.
> >> > 
> >> > Please apply!
> >> 
> >> No objections from me, I'll let Steffen pick this up.
> > 
> > I'm a bit hesitating with removing the padlen field. We resisted
> > several attempts to remove it in the past. It is currenly unused,
> > but it provides the infrastructure for ESP padding as defined
> > in RFC 4303. However, RFC 4303 recommends the use of TFC padding
> > instead to conceal the actual length of the packet. So I'm not
> > sure what's the actual usecase for ESP padding. I'll reconsider
> > this next week when I'm back at office.
> 
> Steffen, is it really the case that we cannot add it back later if we
> really need to?
> 

Well, I thought to either take this as a reminder to implement the
missing stuff or to take the removing patches if this is really obsolete.
I'll do one of both once I'm back from conference week in Edinburgh.